
do_movie = true; % fuer octave auf "false" setzen

speedup = 3;


YMAX = 40;

xhat = 10+rand*50;
yhat = randn*10;
T = 1+rand*4;

x_tank = [ 0, 1, 2,-1, 0, 1,-2,-1, 0, ];
y_tank = [ 0, 0, 1, 1, 2, 1, 1, 0, 0, ] - 1;

ms = 20;

% plot terrain
SP = 4;
surf_x = [ -SP,  SP, xhat-SP, xhat+SP ];
surf_y = [-1, -1, yhat-1, yhat-1 ];
plot(surf_x, surf_y, 'g-' );
hold on;

plot(x_tank, y_tank, 'k-');
plot([0], [YMAX], 'k+');
plot(0,0, 'k.', 'MarkerSize', ms);

plot(x_tank+xhat, y_tank+yhat, 'b-');
plot(xhat, yhat, 'b.', 'MarkerSize', ms);

[phi, v0] = berechne_projektil(xhat, yhat, T);

barrel = 2;
plot( [0, barrel*cos(phi)], [0, barrel*sin(phi)], 'k-', 'LineWidth', 3 );

start_time = 0.1;

last = parabel_wurf(phi, v0, start_time);

timestep=0.05;

for t=linspace(start_time,T,T/timestep)
   next = parabel_wurf(phi, v0, t);
   plot([last(1), next(1)], [last(2), next(2)], 'm-');
   if( do_movie )
      title(['Zeitpunkt = ',num2str(t), '; Zielzeitpunkt = ', num2str(T)]);
      drawnow;
      pause(timestep/speedup);
   end
   last=next;
end

err = norm( last-[xhat;yhat] );

title(['Zielzeitpunkt = ', num2str(T), '; Fehler = ', num2str(err) ]);

if( err > 10e-10 )
   text(xhat/2, yhat/2, 'fail', 'FontSize', 30, 'Color', [1 0 0]);
else
   plot( last(1), last(2), 'r*', 'MarkerSize', 20, 'LineWidth', 3 )
end

hold off;
